org.apache.ignite.internal.cache.query.index.sorted.keys

## Class JavaObjectIndexKey

- java.lang.Object
- - org.apache.ignite.internal.cache.query.index.sorted.keys.JavaObjectIndexKey

All Implemented Interfaces:
  IndexKey

Direct Known Subclasses:
  CacheJavaObjectIndexKey, PlainJavaObjectIndexKey

    public abstract class JavaObjectIndexKey
    extends Object
    implements IndexKey

Represents an index key that stores as Java Object. `IndexKeyTypes.JAVA_OBJECT`.

### Constructor Summary

Constructors
Constructor and Description
`JavaObjectIndexKey()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`byte[]` `bytes()`
`abstract byte[]` `bytesNoCopy()`
`int` `compare(IndexKey o)`
`int` `hashCode()`
`int` `type()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.cache.query.index.sorted.keys.IndexKey

`key`

### Constructor Detail

#### JavaObjectIndexKey

    public JavaObjectIndexKey()

### Method Detail

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### type

    public int type()

Specified by:
  `type` in interface `IndexKey`
Returns:
  Index key type `IndexKeyTypes`.

#### compare

    public int compare(IndexKey o)

Specified by:
  `compare` in interface `IndexKey`
Returns:
  Comparison result with other IndexKey the same type.

#### bytesNoCopy

    public abstract byte[] bytesNoCopy()

Returns:
  Cached byte array that represents a Java object.

#### bytes

    public byte[] bytes()

Returns:
  Byte array that represents a Java object.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021